Bug 826844 - Rhythmbox stops playing when audio-codec changes
Rhythmbox stops playing when audio-codec changes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 02:36 EDT by Steve
Modified: 2014-02-05 06:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:59:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2012-05-31 02:36:38 EDT
Description of problem:
Rhythmbox plays one or two (sometimes more) songs and then stops. Pressing next (forward) plays another one or two songs.

Version-Release number of selected component (if applicable):
rhythmbox-2.96-3.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Rhythmbox should play the next song.

Additional info:
Comment 1 Steve 2012-06-01 10:15:20 EDT
This seems to be happen when codec changes from MP3 to FLAC. In my case, in shuffle (random) mode, when it often changes.
Comment 2 Steve 2012-06-01 11:20:24 EDT
Opening rhythmbox in terminal, says:

(rhythmbox:17570): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
Comment 3 Steve 2012-06-13 03:20:51 EDT
This bug is not fixed in rhythmbox-2.97-1.fc17.
Comment 4 Thibault Nélis 2012-06-16 17:21:27 EDT
I can confirm this.  (Tested MP3 -> FLAC transition, hit the same assert, tested skipping to the next song to "workaround" the bug.)

Additional info:
The song seems to be playing silently, but Rhythmbox doesn't read the stream (and doesn't update the UI either).  Somewhat randomly however, it will play a few seconds (thus in the middle of the song), updating the UI correctly, before stopping again.
Comment 5 Steve 2013-01-16 02:33:22 EST
Same issue in rhythmbox-2.98-4.fc18.x86_64. Changing to version 18.
Comment 6 Peque 2013-03-05 13:27:24 EST
Same problem here with rhythmbox-2.98-4.fc18.x86_64 MP3 to OGG transition.
Comment 7 Ken Giusti 2013-04-19 11:33:57 EDT
Confirmed - can reproduce on F17, shuffle-ing from mp3 to ogg file

rhythmbox-2.97-1.fc17.x86_64
Comment 8 Steve 2013-05-27 03:42:39 EDT
Bastien,

is there a way to take the ubuntu (13.04) build from rhythmbox? Because it's very stable. You can listen music in shuffle-mode with no problems. Or is this a problem of gstreamer?
Comment 9 Steve 2013-07-03 04:59:08 EDT
I don't believe it. Is this really fixed in F19 (rhythmbox-2.99.1-1.fc19.x86_64)?
Comment 10 Steve 2013-07-03 10:32:56 EDT
This bug is definitively fixed in F19 (rhythmbox-2.99.1-1.fc19.x86_64). But not in F18.
Comment 11 Fedora End Of Life 2013-12-21 03:37:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 teythis 2014-02-03 17:42:10 EST
i can confirm that this behaviour has reappeared in rhythmbox-3.0.1-3.fc20.x86_64
Comment 13 Fedora End Of Life 2014-02-05 06:59:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.